Zernio
APIFor you
Zernio
APIFor you
API Reference

Treasury

List payeesGETList top-upsGETList transfersGETCreate a payee onboarding linkPOSTCreate a top-upPOSTCreate a transferPOSTGet balanceGETGet a payout batchGETGet a top-up receiptGETGet a transferGETCancel an unpaid payout batchPOST
Dashboard
OverviewPlatformsAPI ReferenceResources
Treasury

List transfers


GET
/v1/transfers

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication: send your Zernio API key in the Authorization header, prefixed with Bearer.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
skip?integer
Range0 <= value
Default0

Response Body

application/json

application/json

application/json

application/json

import Zernio from '@zernio/node';const zernio = new Zernio({ apiKey: process.env.ZERNIO_API_KEY });const { data } = await zernio.treasury.listTransfers();console.log(data);
{  "transfers": [    {      "id": "string",      "payeeId": "stringstringstringstring",      "payeeName": "string",      "destinationType": "creator",      "amountCents": 0,      "feeCents": 0,      "totalCents": 0,      "currency": "string",      "reference": {        "type": "string",        "id": "string",        "name": "string"      },      "status": "pending",      "failureReason": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
Was this page helpful?

List top-ups

Previous Page

Create a payee onboarding link

Returns a Stripe-hosted link where the payee completes identity and bank details so they can receive payouts.